<%= form_for(@micropost) do |f| %>
  <%= render 'shared/error_messages', object: f.object %>
  <div class="field">
    <%= f.text_area :content, placeholder:  t("layouts.application.placeholder") %>
  </div>
  <%= f.submit t("layouts.application.post"), class: "btn btn-primary" %>
  <span class="image">
    <%= f.file_field :image, accept: Settings.content_type_image %>
  </span>
<% end %>

<script type="text/javascript">
  $("#micropost_image").bind("change", function() {
    var size_in_megabytes = this.files[0].size/1024/1024;
    if (size_in_megabytes > 5) {
      alert("Maximum file size is 5MB. Please choose a smaller file.");
    }
  });
</script>